Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libzip: update to 1.0.1

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 13 Oct 2015 14:05:09 +0300

---
 testing/libzip/APKBUILD | 27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)
diff --git a/testing/libzip/APKBUILD b/testing/libzip/APKBUILD
index a24f2e2..00b7c0b 100644
--- a/testing/libzip/APKBUILD
+++ b/testing/libzip/APKBUILD
_at_@ -1,7 +1,7 @@
 # Contributor: k0r10n <k0r10n.dev_at_gmail.com>
 # Maintainer:
 pkgname=libzip
-pkgver=0.11.2
+pkgver=1.0.1
 pkgrel=0
 pkgdesc="A C library for reading, creating, and modifying zip archives"
 url="http://www.nih.at/libzip/index.html"
_at_@ -11,19 +11,10 @@ depends=
 depends_dev="zlib-dev"
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
 source="http://www.nih.at/libzip/${pkgname}-${pkgver}.tar.gz"
 
 _builddir="$srcdir"/${pkgname}-${pkgver}
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
 
 build() {
 	cd "$_builddir"
_at_@ -34,9 +25,15 @@ build() {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install install-man || return 1
-	mv "$pkgdir"/usr/lib/libzip/include/zipconf.h "$pkgdir"/usr/include/ || return 1
+	mv "$pkgdir"/usr/lib/libzip/include/* "$pkgdir"/usr/include || return 1
+	rm -fr "$pkgdir"/usr/lib/libzip
 }
 
-md5sums="c5437df15e4825d40cdc3ec8b9b7516c  libzip-0.11.2.tar.gz"
-sha256sums="83db1fb43a961ff7d1d1b50e1c6bea09c67e6af867686d1fc92ecb7dc6cf98d5  libzip-0.11.2.tar.gz"
-sha512sums="51d011b389baf23f019428104c7c20dc42f2636c7f845abe7efb78a93b2fa6645fa9586351d9abd7bea1ab010a5a3b85086592033b2db362988cf6a24b72f562  libzip-0.11.2.tar.gz"
+tools() {
+	pkgdesc="$pkgname cmp and merge tools"
+        install -d "$subpkgdir"/usr
+        mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+md5sums="a8c3d356221b9e69ff54c1d53cc39e92  libzip-1.0.1.tar.gz"
+sha256sums="0cef914d8f5105ccac44484f61413daa08d7204758e77240a4d20ebf967f3d49  libzip-1.0.1.tar.gz"
+sha512sums="9fadccd383935e14130092f0f4c4839fb3ba189ba85fb2696458f15a29716d476569f9fb937c7c8e26ce28d313c42d41ce8050fbff0c09d6d6367d25e0b63330  libzip-1.0.1.tar.gz"
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Oct 13 2015 - 14:05:09 GMT